GhostPlayer = {}
function GhostPlayer:new(moves, spawnPoint)
	o = {}
    setmetatable(o, self)
    self.__index = self
    o.spawnPoint = {x = spawnPoint.x, y = spawnPoint.y}
	o.position = {x = spawnPoint.x, y = spawnPoint.y}
	o.size = {width = 48, height = 48}
	o.moves = moves
	o.currentMove = 0
	o.images = {
		love.graphics.newImage("gfx/player.png"),
		love.graphics.newImage("gfx/player_2.png")
	}
	o.counter = 0
	o.previousPosition = {x = spawnPoint.x, y = spawnPoint.y}
	o.alpha = 255
    return o
end

function GhostPlayer:move()
	local move = self.moves[self.currentMove]
	if move then
		self.position = move
	end
	self.currentMove = self.currentMove + 1
end

function GhostPlayer:draw()
	love.graphics.setColor(255, 255, 255, self.alpha)
	love.graphics.draw(self.images[math.floor(self.counter / 15) + 1], self.position.x, self.position.y)
	if self.position.x == self.previousPosition.x and self.position.y == self.previousPosition.y then
		self.counter = self.counter + 0.5
	else
		self.counter = self.counter + 1
	end
	self.previousPosition = {x = self.position.x, y = self.position.y}
	if (self.counter >= 30) then
		self.counter = 0
	end
end

function GhostPlayer:reset()
	self.position = {x = self.spawnPoint.x, y = self.spawnPoint.y}
	self.currentMove = 0
end