Player = {}
function Player:new()
	o = {}
    setmetatable(o, self)
    self.__index = self
    o.spawnPoint = {x = 0, y = 0}
	o.position = {x = 0, y = 0}
	o.size = {width = 48, height = 48}
	o.inset = 5
	o.speed = 96
	o.moves = {}
	o.images = {
		love.graphics.newImage("gfx/player.png"),
		love.graphics.newImage("gfx/player_2.png")
	}
	o.counter = 0
	o.previousPosition = {x = 0, y = 0}
    return o
end

function Player:move(move)
	self.position = move
	table.insert(self.moves, move)
end

function Player:draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(self.images[math.floor(self.counter / 15) + 1], self.position.x, self.position.y)
	if self.position.x == self.previousPosition.x and self.position.y == self.previousPosition.y then
		self.counter = self.counter + 0.5
	else
		self.counter = self.counter + 1
	end
	self.previousPosition = {x = self.position.x, y = self.position.y}
	if (self.counter >= 30) then
		self.counter = 0
	end
end

function Player:getMoves()
	return self.moves
end

function Player:reset()
	self.moves = {}
	self.position = {x = self.spawnPoint.x, y = self.spawnPoint.y}
end