Timer = {}
function Timer:new()
	o = {}
    setmetatable(o, self)
    self.__index = self
	o.size = {width = 150, height = 20}
	o.time = 10
	o.running = true
	o.completion = nil
    return o
end

function Timer:update(dt)
	if self.running == false then
		return
	end
	self.time = self.time - 1 * dt
	if self.time <= 0 then
		self.running = false
		if self.completion then
			self.completion()
		end
	end
end

function Timer:draw()
	love.graphics.setColor(255, 255, 0)
	love.graphics.rectangle("fill", (love.graphics.getWidth() - self.size.width) / 2, 15, self.time / 10 * self.size.width, self.size.height)
end

function Timer:setCompletion(completion)
	self.completion = completion
end

function Timer:reset()
	self.running = true
	self.time = 10
end